%define		pname ipt_netflow
%define		ipt_url	http://www.netfilter.org/projects/iptables/files/
Name:		ipt-netflow
Version:	1.1
Release:	4.1
Summary:	iptables Netflow module
Group:		System
License:	GPL
URL:		http://sourceforge.net/projects/ipt-netflow/
Source0:	%{pname}-%{version}.tgz
Source1:	Kbuild
Source100:	preamble
Patch0:		ipt-netflow-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
BuildRequires:  kernel-source kernel-syms module-init-tools iptables-devel wget sed
Requires:	iptables
BuildPreReq:	sed wget

%suse_kernel_module_package -n ipt-netflow -p %_sourcedir/preamble kdump um
%define kernel_version  %(echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' kernel-source`|sed 's/_/-/g;')
%define iptables_version %(echo `rpm -q --queryformat '%{VERSION}' iptables`)

%description
Very fast and effective Netflow exporting module for Linux kernel. 
Designed for Linux router with heavy network load. 
It is based on iptables, but not using conntrack for performance reasons.

%package -n %{name}-KMP
Group:		System/Kernel
Summary:	iptables Netflow kernel module

%description -n %{name}-KMP
Very fast and effective Netflow exporting module for Linux kernel.
Designed for Linux router with heavy network load.
It is based on iptables, but not using conntrack for performance reasons.


%prep
wget %{ipt_url}/iptables-%{iptables_version}.tar.bz2 -O %{_sourcedir}/iptables-%{iptables_version}.tar.bz2
%setup -q -n %{pname}-%{version}
%patch0
cp %{SOURCE1} . 
tar xvfj %{_sourcedir}/iptables-%{iptables_version}.tar.bz2
sed -i s@%IPTSRCDIR%@iptables-%{iptables_version}@g Makefile
sed -i s@%IPTVERSION%@%{iptables_version}@g Makefile
%build
for flavor in %{flavors_to_build}; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor clean
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules M=$PWD PWD=$PWD
done

# build userspace
%if 0%{?suse_version} >= 1100
%__make libipt_NETFLOW.so KDIR=%{_includedir}
%else
%__make libipt_NETFLOW.so KVERSION=%{kernel_version}
%endif

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
     make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install M=$PWD PWD=$PWD
done

# install userspace
%__install -D -m 755 libipt_NETFLOW.so %{buildroot}%{_libdir}/iptables/libipt_NETFLOW.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/iptables/libipt_NETFLOW.so
%doc README* raw_promisc.patch

%changelog
* Sat Aug 16 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build of version 1.1
 - 2008-08-06 18:33 aabc * ipt_NETFLOW.c, README.promisc, raw_promisc.patch: more support for promisc hack
 - 2008-08-01 21:02 aabc * ipt_NETFLOW.c: use present cpu instead of possible
 - 2008-08-01 20:49 aabc * ipt_NETFLOW.c: (fix) sysctl net.netflow.sndbuf crash if no destination sockets, reported by xlighter@ultranet.ru
 - 2008-08-01 18:34 aabc * ipt_NETFLOW.c: compatibility with kernel 2.6.25 (sysctl) 
 - 2008-08-01 16:04 aabc * ipt_NETFLOW.c: compatibility with kernel 2.6.25
 - 2008-08-01 15:42 aabc * ipt_NETFLOW.c: compatibility with kernel 2.6.24
 - 2008-07-28 20:12 aabc * ipt_NETFLOW.c: minor warning clean-up for CentOS, reported by jspence@lightconsulting.com


